Bug 73596 - netscape 4.x apache-1.3.22-6 Bad Request url with blank
Summary: netscape 4.x apache-1.3.22-6 Bad Request url with blank
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL: https://web.telemaco.infocamere.it/nw...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-06 15:17 UTC by Need Real Name
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-06 15:17:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-09-06 15:17:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (Win98; I)

Description of problem:
using netscape client 4.x from a workstation after upgrade on server side from apache-1.3.22-2 to apache-1.3.22-6 the response from server is 
BAD REQUEST
Your browser sent a request that this server could not understand.
The request line contained invalid characters following the protocol string.
Apache/1.3.22 Server at web.telemaco.infocamere.it Port 52445

for the URL 
https://web.telemaco.infocamere.it/nwxServlet?nwxurl=/newt/pratiche/istrprat.naw&praturl=/newt/pratiche/istrprat.sql&genpar=&parord=DT_DOMAN
DA DESC
that contain blank character

(i asked for an user and password to access this site and maybe will be put here on bugzilla)

If the request come from Internet Explorer there isn't problem.
Before update from 1-3.22-2 to 1-3.22-2 there weren't problem also with netscape 4.x

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.from your browser call URL 
2.
3.
	

Actual Results:  if browser is netscape 4.x you take BAD REQUEST

Expected Results:  a page that ask for user and password

Additional info:

Comment 1 Need Real Name 2002-09-09 08:57:29 UTC
After quite deeper study, i saw that normally who create url on server side shouldn't use blank but substitute it with %20  (IE browser make it 
by default but  netscape Not)
is it true?


Note You need to log in before you can comment on or make changes to this bug.